Bug 146111 - aic79xx does not work on Dell 670
aic79xx does not work on Dell 670
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-25 09:52 EST by Don Scales
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 06:44:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Scales 2005-01-25 09:52:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)

Description of problem:
Running the install CDs on a Dell670 with scsi disks, the install fails
when the aic79xx driver is loaded - no disks are found.
Updating RHEL4 Beta 1 glibc and kernel with the Beta2 rpms, building a 
initrd and rebooting results in a kernel panic as system can't find any
disks. insmod: error inserting 'lib/aic79xx.ko': -1 No such device
Updating RHEL4 Beta 1 glibc and kernel and then rebuilding the system
from source also results in the same kernel panic.

RHEL4 Beta 1 works fine.

Porting the aic7xxx directory from the Beta 1 src tree, 
changing routines to use ssleep/msleep and then rebuilding 
the system results in a working aic79xx and a bootable system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run the RHEL4 Beta2 install CDs on a Dell 670

Actual Results:  aic79xx driver loaded and failed to find any disks

Expected Results:  aic79xx driver to load and install to continue

Additional info:
Comment 2 Don Scales 2005-01-26 09:46:44 EST
(In reply to comment #1)
> the kernel-smp-2.6.9-1.648_EL is an old kernel. Can you please try and
> re-produce this on RC bits, kernel is: 2.6.9-5.EL
Can you point me to the RHEL4 RC iso images - Thanks Don
Comment 3 John Preston 2005-03-24 16:19:44 EST
Ummm... I am trying to install for first time on this machine.

The ISO images are the 2.6.9-1 and fails to install.  Trying to use REDHAT
driver/patch from a floppy does not work either.

I cannot consider (from a new installation) that the appropriate answer is that
2.6.9-1 is an old kernel unless there is a new set of .iso images to which I can
make a set of install CDs.

Having said that I am willing to use a NON_RELEASE version of CORE 3 if I can
get them in .iso format (otherwise a lot of pain to FUDGE-BOOT the machine and
format the drives!!!)
Comment 4 Don Scales 2005-03-29 06:44:02 EST
RedHat Enterprise Linux 4 is now released and aic79xx is working again.
I have installed on a Dell 670 without problems.
There do seem to be performance issues with this driver but I will
open a new Bug report for this.

Note You need to log in before you can comment on or make changes to this bug.